%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package MIME-XBase64

Summary:	Perl modules for parsing (and creating!) MIME entities
Name:		perl-%{__perl_package}
Version:	3.05
Release:	1.%{__distinit}%{__distvers}
License:	Artistic
Group:		Applications/CPAN
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/MIME-Base64-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}

%description
This is the MIME-Base64 module, renamed MIME-XBase64 in order to avoid
clashing with the earlier MIME-Base64 package that is built into the
perl RPM package.

This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder.  These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set.  Each non-printable character is represented by
a triplet consisting of the character "=" followed by two hexadecimal
digits.

%prep
%setup -q -n MIME-Base64-%{version}
%{__mv} Base64.xs XBase64.xs
%{__mv} Base64.pm XBase64.pm
%{__mv} QuotedPrint.pm XQuotedPrint.pm
for f in XBase64.pm XBase64.xs decode-base64 encode-base64 decode-qp encode-qp Makefile.PL XQuotedPrint.pm t/*.t
do
	%{__sed} -i -e 's/MIME::Base64/MIME::XBase64/g' -e 's/MIME::QuotedPrint/MIME::XQuotedPrint/g' $f
done
%{__sed} -i -e 's/^Base64\./XBase64./g' -e 's/^QuotedPrint\.pm/XQuotedPrint.pm/' MANIFEST
%{__sed} -i -e 's/Base64\.pm/XBase64.pm/' Makefile.PL

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}

%check
%{__make} test
                                                                                                                 
%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
                                                                                                                 
%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc Changes README* MANIFEST

%changelog
* Tue Oct 26 2004 Paul Howarth <paul@city-fan.org> 3.05
- Initial RPM build
